## org.eclipse.datatools.modelbase.sql.routines.impl
Class FunctionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl
                  org.eclipse.datatools.modelbase.sql.routines.impl.FunctionImpl

All Implemented Interfaces:
  Function, Routine, SQLObject

Direct Known Subclasses:
  BuiltInFunctionImpl, MethodImpl, UserDefinedFunctionImpl

public class FunctionImpl
extends RoutineImpl
implements Function

An implementation of the model object 'Function'.

The following features are implemented:

- `Null Call`
- `Static`
- `Transform Group`
- `Type Preserving`
- `Mutator`
- `Return Table`
- `Return Scalar`
- `Return Cast`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetReturnCast(Parameter newReturnCast, NotificationChain msgs)`
`NotificationChain` `basicSetReturnScalar(Parameter newReturnScalar, NotificationChain msgs)`
`NotificationChain` `basicSetReturnTable(RoutineResultTable newReturnTable, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`Parameter` `getReturnCast()`
`Parameter` `getReturnScalar()`
`RoutineResultTable` `getReturnTable()`
`java.lang.String` `getTransformGroup()`
`boolean` `isMutator()`
`boolean` `isNullCall()`
`boolean` `isStatic()`
`boolean` `isTypePreserving()`
`void` `setMutator(boolean newMutator)`
`void` `setNullCall(boolean newNullCall)`
`void` `setReturnCast(Parameter newReturnCast)`
`void` `setReturnScalar(Parameter newReturnScalar)`
`void` `setReturnTable(RoutineResultTable newReturnTable)`
`void` `setStatic(boolean newStatic)`
`void` `setTransformGroup(java.lang.String newTransformGroup)`
`void` `setTypePreserving(boolean newTypePreserving)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

`basicGetSchema, basicSetSchema, basicSetSource, eInverseAdd, getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isNullCall

    public boolean isNullCall()

  Specified by:
    `isNullCall` in interface `Function`
  Returns:
    the value of the 'Null Call' attribute.
  See Also:
    `Function.setNullCall(boolean)`, `SQLRoutinesPackage.getFunction_NullCall()`

### setNullCall

    public void setNullCall(boolean newNullCall)

  Specified by:
    `setNullCall` in interface `Function`
  Parameters:
    `newNullCall` - the new value of the 'Null Call' attribute.
  See Also:
    `Function.isNullCall()`

### isStatic

    public boolean isStatic()

  Specified by:
    `isStatic` in interface `Function`
  Returns:
    the value of the 'Static' attribute.
  See Also:
    `Function.setStatic(boolean)`, `SQLRoutinesPackage.getFunction_Static()`

### setStatic

    public void setStatic(boolean newStatic)

  Specified by:
    `setStatic` in interface `Function`
  Parameters:
    `newStatic` - the new value of the 'Static' attribute.
  See Also:
    `Function.isStatic()`

### getTransformGroup

    public java.lang.String getTransformGroup()

  Specified by:
    `getTransformGroup` in interface `Function`
  Returns:
    the value of the 'Transform Group' attribute.
  See Also:
    `Function.setTransformGroup(String)`, `SQLRoutinesPackage.getFunction_TransformGroup()`

### setTransformGroup

    public void setTransformGroup(java.lang.String newTransformGroup)

  Specified by:
    `setTransformGroup` in interface `Function`
  Parameters:
    `newTransformGroup` - the new value of the 'Transform Group' attribute.
  See Also:
    `Function.getTransformGroup()`

### isTypePreserving

    public boolean isTypePreserving()

  Specified by:
    `isTypePreserving` in interface `Function`
  Returns:
    the value of the 'Type Preserving' attribute.
  See Also:
    `Function.setTypePreserving(boolean)`, `SQLRoutinesPackage.getFunction_TypePreserving()`

### setTypePreserving

    public void setTypePreserving(boolean newTypePreserving)

  Specified by:
    `setTypePreserving` in interface `Function`
  Parameters:
    `newTypePreserving` - the new value of the 'Type Preserving' attribute.
  See Also:
    `Function.isTypePreserving()`

### isMutator

    public boolean isMutator()

  Specified by:
    `isMutator` in interface `Function`
  Returns:
    the value of the 'Mutator' attribute.
  See Also:
    `Function.setMutator(boolean)`, `SQLRoutinesPackage.getFunction_Mutator()`

### setMutator

    public void setMutator(boolean newMutator)

  Specified by:
    `setMutator` in interface `Function`
  Parameters:
    `newMutator` - the new value of the 'Mutator' attribute.
  See Also:
    `Function.isMutator()`

### getReturnTable

    public RoutineResultTable getReturnTable()

  Specified by:
    `getReturnTable` in interface `Function`
  Returns:
    the value of the 'Return Table' containment reference.
  See Also:
    `Function.setReturnTable(RoutineResultTable)`, `SQLRoutinesPackage.getFunction_ReturnTable()`

### basicSetReturnTable

    public NotificationChain basicSetReturnTable(RoutineResultTable newReturnTable,
                                                 NotificationChain msgs)

### setReturnTable

    public void setReturnTable(RoutineResultTable newReturnTable)

  Specified by:
    `setReturnTable` in interface `Function`
  Parameters:
    `newReturnTable` - the new value of the 'Return Table' containment reference.
  See Also:
    `Function.getReturnTable()`

### getReturnScalar

    public Parameter getReturnScalar()

  Specified by:
    `getReturnScalar` in interface `Function`
  Returns:
    the value of the 'Return Scalar' containment reference.
  See Also:
    `Function.setReturnScalar(Parameter)`, `SQLRoutinesPackage.getFunction_ReturnScalar()`

### basicSetReturnScalar

    public NotificationChain basicSetReturnScalar(Parameter newReturnScalar,
                                                  NotificationChain msgs)

### setReturnScalar

    public void setReturnScalar(Parameter newReturnScalar)

  Specified by:
    `setReturnScalar` in interface `Function`
  Parameters:
    `newReturnScalar` - the new value of the 'Return Scalar' containment reference.
  See Also:
    `Function.getReturnScalar()`

### getReturnCast

    public Parameter getReturnCast()

  Specified by:
    `getReturnCast` in interface `Function`
  Returns:
    the value of the 'Return Cast' containment reference.
  See Also:
    `Function.setReturnCast(Parameter)`, `SQLRoutinesPackage.getFunction_ReturnCast()`

### basicSetReturnCast

    public NotificationChain basicSetReturnCast(Parameter newReturnCast,
                                                NotificationChain msgs)

### setReturnCast

    public void setReturnCast(Parameter newReturnCast)

  Specified by:
    `setReturnCast` in interface `Function`
  Parameters:
    `newReturnCast` - the new value of the 'Return Cast' containment reference.
  See Also:
    `Function.getReturnCast()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `RoutineImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `RoutineImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `RoutineImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `RoutineImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `RoutineImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RoutineImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.